module.exports = {
    extends: [
        '@ecomfe/eslint-config/strict',
        '@ecomfe/eslint-config/react/strict',
        '@ecomfe/eslint-config/typescript',
    ],
    parserOptions: {
        babelOptions: {
            configFile: require.resolve('../dist/config/lint/babel'),
        },
    },
    plugins: ['jest', 'reskript'],
    settings: {
        react: {
            version: '16.8',
        },
    },
    env: {
        'jest/globals': true,
    },
    globals: {
        $features: true,
        $build: true,
        Sentry: true,
        Weirwood: true,
    },
    rules: {
        'operator-linebreak': [
            'error',
            'before',
            {
                overrides: {
                    '=': 'after',
                },
            },
        ],
        camelcase: [
            'error',
            {
                allow: ['^UNSAFE_'],
            },
        ],
        'react-hooks/exhaustive-deps': 'warn',
        'babel/object-curly-spacing': 'off',
        'consistent-return': 'off',
        'no-param-reassign': [
            'warn',
            {
                ignorePropertyModificationsFor: ['current'],
            },
        ],
        'reskript/import-order': 'error',
    },
};
