module.exports = {
    moduleDirectories: ['src', 'node_modules'],
    moduleFileExtensions: ['js', 'ts', 'jsx', 'tsx', 'd.ts'],
    transform: {
        '^.+\\.(js|jsx|ts|tsx)$': require.resolve(
            '../dist/config/jest/transformer'
        ),
    },
    coverageReporters: ['json-summary', 'lcov', 'text', 'clover'],
    testMatch: ['**/__tests__/**/*.test.{js,jsx,ts,tsx}'],
    collectCoverageFrom: ['<rootDir>/src/**/*.{js,jsx,ts,tsx}'],
    coveragePathIgnorePatterns: ['/node_modules/', '/__tests__/'],
    moduleNameMapper: {
        '\\.(css|less)$': 'identity-obj-proxy',
        '\\.(jpg|jpeg|png|gif|svg|webp|eot|otf|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$': require.resolve(
            '../dist/config/jest/mock'
        ),
        '@/(.*)$': '<rootDir>/src/$1',
    },
    testEnvironment: 'jsdom',
    setupFiles: [require.resolve('../dist/config/jest/setUp')],
    snapshotSerializers: ['enzyme-to-json/serializer'],
    globals: {
        $build: {
            mode: 'production',
        },
        $features: {},
    },
    transformIgnorePatterns: [
        'node_modules/(?!@baidu/etui/)[^/]+?/(?!(es|node_modules)/)',
    ],
};
