"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const print_tree_1 = __importDefault(require("print-tree"));
const chalk_1 = __importDefault(require("chalk"));
const dependencyTree_1 = __importDefault(require("./dependencyTree"));
const formatDependency = ({ name, version, circular }) => {
    const identifier = name + '@' + version;
    return identifier + (circular ? chalk_1.default.gray(' #circular') : '');
};
exports.default = async ({ cwd, json }) => {
    const tree = await dependencyTree_1.default(cwd);
    if (json) {
        console.log(JSON.stringify(tree, null, '  '));
    }
    else {
        print_tree_1.default(tree, formatDependency, node => node.requires);
    }
};
//# sourceMappingURL=run.js.map