"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const pkg_dir_1 = __importDefault(require("pkg-dir"));
const lodash_1 = require("lodash");
const eslint_1 = require("eslint");
const config_1 = require("../../../config");
const utils_1 = require("../../utils");
exports.default = async (files, cmd) => {
    const cliConfig = {
        baseConfig: config_1.getScriptLintConfig(),
        cache: true,
        fix: cmd.fix,
        cacheLocation: path.join(pkg_dir_1.default.sync(), 'node_modules', '.cache', '.eslintcache'),
        rulePaths: [
            path.resolve(__dirname, '..', '..', '..', 'config', 'lint', 'rules', 'void'),
        ],
    };
    const cli = new eslint_1.CLIEngine(cliConfig);
    const resolvedFiles = await utils_1.resolveLintFiles('script', files, cmd);
    const lintingFiles = resolvedFiles.filter(file => !cli.isPathIgnored(file));
    if (lodash_1.isEmpty(lintingFiles)) {
        return [];
    }
    const report = cli.executeOnFiles(lintingFiles);
    if (cmd.fix) {
        eslint_1.CLIEngine.outputFixes(report);
    }
    return report.results;
};
//# sourceMappingURL=script.js.map