"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const ora_1 = __importDefault(require("ora"));
const tasks = __importStar(require("./tasks"));
const indicateWith = (cmd) => {
    return async (message, task) => {
        const spinner = ora_1.default(message);
        spinner.start();
        await task(cmd);
        spinner.succeed();
    };
};
exports.default = async (cmd) => {
    const indicate = indicateWith(cmd);
    await indicate('Initializing config files...', tasks.config);
    await indicate('Installing required dependencies...', tasks.install);
    await indicate('Updating package.json...', tasks.updatePackageInfo);
    await indicate('Updating .gitignore...', tasks.updateGitIgnore);
};
//# sourceMappingURL=run.js.map