"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const project_1 = require("../../lib/project");
const preset_1 = require("./preset");
/**
 * If there is a config, then overwrite default config
 */
const mayOverwriteConfig = (defaultConfig, config) => {
    return config ? config : defaultConfig;
};
/**
 * run time jest config
 * default jest config
 */
exports.getJestConfig = (options) => {
    const { cwd, target, settings } = options;
    // 默认配置根据当前目录作为basePath
    const presetConfig = preset_1.getJestPresetConfig(target, __dirname, options);
    const config = {
        ...presetConfig,
        rootDir: cwd,
        moduleDirectories: ['src', 'node_modules', ...project_1.findUpAllNodeModulesDirectories(cwd)],
        collectCoverageFrom: mayOverwriteConfig(['<rootDir>/src/**/*.{js,jsx,ts,tsx}'], lodash_1.get(settings, 'collectCoverageFrom')),
        coveragePathIgnorePatterns: mayOverwriteConfig(['/node_modules/', '/__tests__/'], lodash_1.get(settings, 'coveragePathIgnorePatterns')),
    };
    return config;
};
var preset_2 = require("./preset");
exports.getJestPresetConfig = preset_2.getJestPresetConfig;
//# sourceMappingURL=index.js.map