"use strict";
/**
 * @file 为了支持 IDE 和代码编辑工具使用 eslint 的配置，在 build 阶段会生成一份 .eslintrc 文件。
 * 参阅 scripts/post-build.js
 * @author zhangcong06
 */
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const config = {
    extends: [
        '@ecomfe/eslint-config/strict',
        '@ecomfe/eslint-config/react/strict',
        '@ecomfe/eslint-config/typescript',
    ],
    parserOptions: {
        babelOptions: {
            // 编译完就是`.js`了，虽然很诡异，但就得这么写，同时这代码不能用`ts-node`跑
            configFile: path.join(__dirname, '..', '..', 'babel.js'),
        },
    },
    plugins: ['jest', 'reskript'],
    settings: {
        react: {
            version: '16.8',
        },
    },
    env: {
        'jest/globals': true,
    },
    globals: {
        $features: true,
        $build: true,
        Sentry: true,
        Weirwood: true,
    },
    rules: {
        'operator-linebreak': [
            'error',
            'before',
            {
                overrides: {
                    '=': 'after',
                },
            },
        ],
        camelcase: ['error', { allow: ['^UNSAFE_'] }],
        'react-hooks/exhaustive-deps': 'warn',
        // TODO: 有BUG待官方修复：https://github.com/babel/eslint-plugin-babel/issues/180
        'babel/object-curly-spacing': 'off',
        // `useEffect`特别容易弄坏这个规则
        'consistent-return': 'off',
        'no-param-reassign': ['warn', { ignorePropertyModificationsFor: ['current'] }],
        'reskript/import-order': 'error',
    },
};
exports.default = config;
//# sourceMappingURL=eslint.js.map