"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const chalk_1 = __importDefault(require("chalk"));
const utils_1 = require("./utils");
exports.default = (env) => {
    const buildEntry = utils_1.createDevEntry(env);
    const { features, build: { thirdParty } } = buildEntry;
    if (!thirdParty) {
        console.log(`Start with feature matrix [${chalk_1.default.whiteBright.bold(buildEntry.buildTarget)}]:`);
        for (const [key, value] of lodash_1.toPairs(features)) {
            console.log(`    ${key}: ${utils_1.printableValue(value)}`);
        }
    }
    return utils_1.createWebpackConfig(buildEntry, ['server']);
};
//# sourceMappingURL=dev.js.map