"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const resolve_1 = require("resolve");
const config_1 = require("../../../config");
const factory = ({ usage, cwd, srcDirectory, mode, build, devServer }) => {
    const { browserSupport, styleName, polyfill, autoRouteSplit } = build;
    const { hot } = devServer;
    const babelConfigOptions = {
        cwd,
        srcDirectory,
        usage,
        mode,
        browserSupport,
        styleName,
        polyfill,
        hot,
        autoRouteSplit,
        hostType: 'application',
    };
    return {
        loader: resolve_1.sync('babel-loader'),
        options: {
            ...config_1.getBabelConfig(babelConfigOptions),
            // 在非`production`模式下取消了`babel-loader`的cache，原因如下：
            //
            // 1. 这个缓存对`devServer`这种热变化的场景没啥用
            // 2. 缓存会影响`styleName`的使用（一出现未定义的class的错误就很难再恢复了）
            cacheDirectory: usage !== 'devServer' && usage !== 'play',
            // TODO: 这里得加上babel等的版本
            cacheIdentifier: JSON.stringify(babelConfigOptions),
        },
    };
};
exports.default = factory;
//# sourceMappingURL=babel.js.map