"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const resolve_1 = require("resolve");
const config_1 = require("../../../config");
const factory = ({ build: { extractCSS } }) => {
    return {
        loader: resolve_1.sync('css-loader'),
        options: {
            sourceMap: extractCSS,
            importLoaders: true,
            localsConvention: 'dashes',
            modules: {
                mode: 'local',
                getLocalIdent({ resourcePath }, localIdentName, localName) {
                    return config_1.generateScopedStyleName(localName, resourcePath);
                },
            },
        },
    };
};
exports.default = factory;
//# sourceMappingURL=cssModules.js.map