"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const resolve_1 = require("resolve");
const imagemin_gifsicle_1 = __importDefault(require("imagemin-gifsicle"));
const imagemin_mozjpeg_1 = __importDefault(require("imagemin-mozjpeg"));
const imagemin_optipng_1 = __importDefault(require("imagemin-optipng"));
const imagemin_svgo_1 = __importDefault(require("imagemin-svgo"));
const pluginOptions = {
    gifsicle: {
        interlaced: true,
    },
    mozjpeg: {
        quality: 80,
    },
    optipng: {},
    pngquant: {
        quality: 80,
    },
    svgo: {
        // 取了一个相对安全的插件集合
        plugins: [
            { removeDoctype: true },
            { removeXMLProcInst: true },
            { removeComments: true },
            { removeMetadata: true },
            { removeEditorsNSData: true },
            { cleanupAttrs: true },
            { minifyStyles: true },
            { convertStyleToAttrs: true },
            { cleanupIDs: true },
            { removeEmptyText: true },
            { removeEmptyContainers: true },
            { convertColors: true },
            { convertTransform: true },
            { removeUselessStrokeAndFill: true },
            { cleanupNumericValues: true },
        ],
    },
};
const factory = ({ mode }) => {
    const production = mode === 'production';
    const plugins = production
        ? [
            imagemin_gifsicle_1.default(pluginOptions.gifsicle),
            imagemin_mozjpeg_1.default(pluginOptions.mozjpeg),
            imagemin_optipng_1.default(pluginOptions.optipng),
            imagemin_svgo_1.default(pluginOptions.svgo),
        ]
        : [];
    return {
        loader: resolve_1.sync('img-loader'),
        options: { plugins },
    };
};
exports.default = factory;
//# sourceMappingURL=img.js.map