"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const resolve_1 = require("resolve");
const less_1 = __importDefault(require("less"));
const less_plugin_dls_1 = __importDefault(require("less-plugin-dls"));
const less_plugin_npm_import_1 = __importDefault(require("less-plugin-npm-import"));
const less_plugin_functions_1 = __importDefault(require("less-plugin-functions"));
const project_1 = require("../../project");
const factory = ({ cwd, srcDirectory, build: { extraLessPaths, extraLessVariables, extractCSS } }) => {
    return {
        loader: resolve_1.sync('less-loader'),
        options: {
            sourceMap: extractCSS,
            implementation: less_1.default,
            lessOptions: {
                javascriptEnabled: true,
                modifyVars: extraLessVariables,
                paths: [
                    path.join(cwd, srcDirectory),
                    path.join(cwd, srcDirectory, 'styles'),
                    ...project_1.findUpAllNodeModulesDirectories(cwd),
                    ...extraLessPaths,
                ],
                plugins: [
                    new less_plugin_npm_import_1.default({ prefix: '~' }),
                    less_plugin_dls_1.default(),
                    new less_plugin_functions_1.default({ alwaysOverride: true }),
                ],
                compress: false,
            },
        },
    };
};
exports.default = factory;
//# sourceMappingURL=less.js.map