"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const resolve_1 = require("resolve");
const lodash_1 = require("lodash");
const factory = ({ mode, build: { cssScope, extractCSS } }) => {
    const plugins = [
        require('autoprefixer')(),
        cssScope ? require('postcss-scopify')(`:global(${cssScope})`) : null,
        mode === 'production' ? require('cssnano')() : null,
    ];
    return {
        loader: resolve_1.sync('postcss-loader'),
        options: {
            sourceMap: extractCSS,
            plugins: lodash_1.compact(plugins),
        },
    };
};
exports.default = factory;
//# sourceMappingURL=postCSSModules.js.map