"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const webpack_1 = require("webpack");
const lodash_1 = require("lodash");
const find_up_1 = require("find-up");
const factory = entry => {
    const { cwd } = entry;
    const nodeModule = (...segments) => {
        const name = path.join('node_modules', ...segments);
        return find_up_1.sync(name, { cwd });
    };
    const alias = {
        react: nodeModule('react', 'umd', 'react.production.min.js'),
        'react-dom': nodeModule('react-dom', 'umd', 'react-dom.production.min.js'),
        'react-redux': nodeModule('react-redux', 'dist', 'react-redux.min.js'),
        redux: nodeModule('redux', 'dist', 'redux.min.js'),
    };
    const config = {
        devtool: 'source-map',
        resolve: {
            alias: lodash_1.omitBy(alias, v => !v),
        },
        plugins: [
            new webpack_1.HashedModuleIdsPlugin(),
        ],
        performance: {
            maxEntrypointSize: Infinity,
            // 最大允许1.5MB的产出，在GZip后大致是250-400KB，在内网下还能接受
            maxAssetSize: 1.5 * 1024 * 1024,
        },
        optimization: {
            removeEmptyChunks: true,
            occurrenceOrder: true,
            sideEffects: true,
        },
    };
    return config;
};
exports.default = factory;
//# sourceMappingURL=production.js.map