"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const isCoreJSRequire = (node) => node.callee.type === 'Identifier'
    && node.callee.name === 'require'
    && node.arguments.length === 1
    && node.arguments[0].type === 'StringLiteral';
const replaceCoreJS = (source, replacementName) => {
    // eslint-disable-next-line no-param-reassign
    source.value = source.value.replace(/^core-js/, replacementName);
};
const plugin = () => {
    return {
        visitor: {
            ImportDeclaration(path, state) {
                replaceCoreJS(path.node.source, state.opts.replacementName);
            },
            CallExpression({ node }, state) {
                if (isCoreJSRequire(node)) {
                    replaceCoreJS(node.arguments[0], state.opts.replacementName);
                }
            },
        },
    };
};
exports.default = plugin;
//# sourceMappingURL=index.js.map