"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("@babel/types");
const state_1 = require("./state");
const insertStatementAfterImports_1 = __importDefault(require("./insertStatementAfterImports"));
exports.default = (program, state, moduleName, typeName) => {
    const lazyComponentName = program.scope.generateUidIdentifier(`Lazy${typeName}`);
    // TODO: 用全文件路径算`webpackChunkName`
    const importCallArgument = types_1.addComment(types_1.stringLiteral(moduleName), 'leading', `webpackChunkName: "${state_1.resolveModuleName(state, moduleName)}"`);
    const statement = types_1.variableDeclaration('const', [
        types_1.variableDeclarator(lazyComponentName, types_1.callExpression(types_1.identifier(state_1.findReactLazyName(state)), [
            types_1.arrowFunctionExpression([], types_1.callExpression(types_1.import(), [importCallArgument])),
        ])),
    ]);
    insertStatementAfterImports_1.default(program, statement);
    return lazyComponentName.name;
};
//# sourceMappingURL=createLazyComponent.js.map