"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
exports.default = (program, statement) => {
    const body = program.get('body');
    const lastImport = lodash_1.findLast(body, s => s.isImportDeclaration());
    if (lastImport) {
        const [path] = lastImport.insertAfter(statement);
        return path;
    }
    const [firstStatement] = body;
    const [path] = firstStatement.insertBefore(statement);
    return path;
};
//# sourceMappingURL=insertStatementAfterImports.js.map