"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const resolve_1 = require("resolve");
const change_case_1 = require("change-case");
exports.registerReactDependencies = (state, lazyName) => {
    state.reactLazyName = lazyName;
};
exports.isReactDependenciesReady = (state) => !!state.reactLazyName;
exports.findReactLazyName = (state) => {
    if (!state.reactLazyName) {
        throw new Error('React dependencies are not prepared');
    }
    return state.reactLazyName;
};
exports.registerLazyComponent = (state, originalName, lazyName) => {
    if (!state.componentTypeNameMapping) {
        state.componentTypeNameMapping = new Map();
    }
    state.componentTypeNameMapping.set(originalName, lazyName);
};
exports.isComponentRegistered = (state, originalName) => {
    if (!state.componentTypeNameMapping) {
        return false;
    }
    return state.componentTypeNameMapping.has(originalName);
};
exports.findLazyComponentName = (state, originalName) => {
    if (!state.componentTypeNameMapping) {
        return undefined;
    }
    return state.componentTypeNameMapping.get(originalName);
};
exports.resolveModuleName = (state, value) => {
    const { cwd, srcDirectory } = state.opts;
    const src = path.join(cwd, srcDirectory);
    if (value.startsWith('@/')) {
        return change_case_1.paramCase(value.slice(1));
    }
    if (value.startsWith('.')) {
        const full = path.join(path.dirname(state.file.opts.filename), value);
        return change_case_1.paramCase(path.relative(src, full));
    }
    const full = resolve_1.sync(value);
    const modules = path.join(cwd, 'node_modules');
    return change_case_1.paramCase(path.relative(modules, full));
};
//# sourceMappingURL=state.js.map