"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const loader_utils_1 = require("loader-utils");
const loader = function playEntryLoader(content) {
    if (this.cacheable) {
        this.cacheable();
    }
    const { componentTypeName, componentModulePath, extraResources } = loader_utils_1.getOptions(this);
    const extraImports = extraResources.map(e => `import '${e}';`).join('\n');
    const replacements = [
        [/%COMPONENT_MODULE_PATH%/g, componentModulePath],
        [/%COMPONENT_TYPE_NAME%/g, componentTypeName],
        [/%EXTRA_IMPORTS%/g, extraImports],
    ];
    const source = replacements.reduce((source, [from, to]) => source.replace(from, to), content.toString());
    this.callback(null, source);
};
exports.default = loader;
//# sourceMappingURL=play-entry-loader.js.map